<?php
/**
 * @file
 * @brief Configuration of the pinnwand system.
 */

/**
 * Provider name displayed.
 */
define('NAME_PROVIDER', "Emphasize IT");

/**
 * Email address of the moderator hidden for users.
 */
define('EMAIL_MODERATOR', "martin@emphasize-it.de");

/**
 * Language for moderator emails.
 */
define('LANG_MODERATOR', "en");

/**
 * Email address of the pinnwand provider sent to the users.
 */
define('EMAIL_PROVIDER', "martin@emphasize-it.de");

/**
 * Base http address where the pinnwand system is accessible on.
 */
define('HTTP_BASE', "http://showroom.emphasize.de/pinnwand/");

/**
 * Atom feed tag prefix.
 */
define('ATOM_TAG_PREFIX', "pinnwand.emphasize.de");

/**
 * Mini Html prefix for short notification answers.
 */
define('MINI_NOTIFY_PREFIX', '<html><head><title>Pinnwand Info</title><style type="text/css">
html
{
 height: 100%;
 width: 100%;
 overflow: hidden;
}
body {
 height:100%;
 margin:0;
 width:100%;
 background: url(postit.png) no-repeat center center fixed #BBBBBB;
 padding-top: 30%;
	text-align: center;
	font-family: Arial, Verdana, sans-serif;
	font-size: 12px;
	color: #000;
}
</style></head><body>');

/**
 * Mini Html suffix for short notification answers.
 */
define('MINI_NOTIFY_SUFFIX', '</body></html>');

require_once (dirname(__FILE__) . '/common.php');
?>
