<?php

function mkdirChmod($folder, $rights, &$out) {
 if (!file_exists($folder)) {
  $out.="creating " . $folder . "\n";
  mkdir($folder, $rights);
 }
 if (substr(sprintf('%o', fileperms($folder)), -4) != "$rights") {
  $out.="changing file-permissions of " . $folder . "\n";
  chmod($folder, $rights);
 }
}

function browsable($folder, &$out) {
 $out.="making " . $folder . " browsable\n";
 chmod($folder, 0755);
}

$base = dirname(dirname(__FILE__));

if (!isset($out)) {
 $out="";
}
mkdirChmod($base . '/cache', 0777, $out);
mkdirChmod($base . '/data', 0777, $out);
mkdirChmod($base . '/data/staging', 0777, $out);

browsable($base, $out);

header('Location: ..') ;

$out.="setup complete\n";
header("Content-Type: text/plain");
echo($out);

include(dirname(__FILE__)."/clearCache.php");
?>
